Subject: bug#8054: 24.0.50; Who ever heard of a version number that doesn't change all year?

From: Chong Yidong <[email-masked]>
Date: Sat, 19 Feb 2011 17:14:26 -0500

Lennart Borgman <[email-masked]> writes:

> On Wed, Feb 16, 2011 at 1:54 PM,  <[email-masked]> wrote:
>> Gentlemen, let's face it, your version number,
>> emacs-version "24.0.50.1"
>> is a total disaster for use in e.g., report-emacs-bug.
>
> Yepp. I have suggested to use bzr ids instead. Which is what I am
> using in my patched version of EmacsW32 (so I have some code for w32
> for it).
>
> I think this should be added to the makefiles.

It would be rather annoying to change version.el or other working file
everything we make a bzr commit, so that's not a good idea.

What we could do is to check if Emacs is being run from inside a bzr
working directory bound to a savannah.gnu.org location (e.g. trunk), and
use vc-bzr-current-revision to find and report that revision number.

But such a feature would be pretty limited: it would not apply to anyone
working in a feature branch, nor would it apply to those running a "make
install"ed Emacs.  So it doesn't seem worth the effort.